Package org.drinkless.tdlib

# Class TdApi.KeyboardButtonTypeRequestUsers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.KeyboardButtonType
org.drinkless.tdlib.TdApi.KeyboardButtonTypeRequestUsers

Enclosing class:
  `TdApi`

public static class TdApi.KeyboardButtonTypeRequestUsers extends TdApi.KeyboardButtonType
A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.KeyboardButtonType

  `TdApi.KeyboardButtonType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Unique button identifier.
  `int`
  `maxQuantity`
  The maximum number of users to share.
  `boolean`
  `requestName`
  Pass true to request name of the users; bots only.
  `boolean`
  `requestPhoto`
  Pass true to request photo of the users; bots only.
  `boolean`
  `requestUsername`
  Pass true to request username of the users; bots only.
  `boolean`
  `restrictUserIsBot`
  True, if the shared users must or must not be bots.
  `boolean`
  `restrictUserIsPremium`
  True, if the shared users must or must not be Telegram Premium users.
  `boolean`
  `userIsBot`
  True, if the shared users must be bots; otherwise, the shared users must not be bots.
  `boolean`
  `userIsPremium`
  True, if the shared users must be Telegram Premium users; otherwise, the shared users must not be Telegram Premium users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyboardButtonTypeRequestUsers()`
  A button that requests users to be shared by the current user; available only in private chats.
  `KeyboardButtonTypeRequestUsers(int id, boolean restrictUserIsBot, boolean userIsBot, boolean restrictUserIsPremium, boolean userIsPremium, int maxQuantity, boolean requestName, boolean requestUsername, boolean requestPhoto)`
  A button that requests users to be shared by the current user; available only in private chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique button identifier.

  - ### restrictUserIsBot

    public boolean restrictUserIsBot
    True, if the shared users must or must not be bots.

  - ### userIsBot

    public boolean userIsBot
    True, if the shared users must be bots; otherwise, the shared users must not be bots. Ignored if restrictUserIsBot is false.

  - ### restrictUserIsPremium

    public boolean restrictUserIsPremium
    True, if the shared users must or must not be Telegram Premium users.

  - ### userIsPremium

    public boolean userIsPremium
    True, if the shared users must be Telegram Premium users; otherwise, the shared users must not be Telegram Premium users. Ignored if restrictUserIsPremium is false.

  - ### maxQuantity

    public int maxQuantity
    The maximum number of users to share.

  - ### requestName

    public boolean requestName
    Pass true to request name of the users; bots only.

  - ### requestUsername

    public boolean requestUsername
    Pass true to request username of the users; bots only.

  - ### requestPhoto

    public boolean requestPhoto
    Pass true to request photo of the users; bots only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KeyboardButtonTypeRequestUsers

    public KeyboardButtonTypeRequestUsers()
    A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.

  - ### KeyboardButtonTypeRequestUsers

    public KeyboardButtonTypeRequestUsers(int id, boolean restrictUserIsBot, boolean userIsBot, boolean restrictUserIsPremium, boolean userIsPremium, int maxQuantity, boolean requestName, boolean requestUsername, boolean requestPhoto)
    A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.
    Parameters:
      `id` - Unique button identifier.
      `restrictUserIsBot` - True, if the shared users must or must not be bots.
      `userIsBot` - True, if the shared users must be bots; otherwise, the shared users must not be bots. Ignored if restrictUserIsBot is false.
      `restrictUserIsPremium` - True, if the shared users must or must not be Telegram Premium users.
      `userIsPremium` - True, if the shared users must be Telegram Premium users; otherwise, the shared users must not be Telegram Premium users. Ignored if restrictUserIsPremium is false.
      `maxQuantity` - The maximum number of users to share.
      `requestName` - Pass true to request name of the users; bots only.
      `requestUsername` - Pass true to request username of the users; bots only.
      `requestPhoto` - Pass true to request photo of the users; bots only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.KeyboardButtonType`
    Returns:
      this.CONSTRUCTOR